Bug 1292840 - (CVE-2015-8575) CVE-2015-8575 kernel: information leak in sco_sock_bind()
CVE-2015-8575 kernel: information leak in sco_sock_bind()
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151216,reported=2...
: Security
Depends On: 1292841
Blocks: 1292049
  Show dependency treegraph
 
Reported: 2015-12-18 08:27 EST by Martin Prpič
Modified: 2016-05-13 06:05 EDT (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds flaw was found in the kernel, where the sco_sock_bind() function (bluetooth/sco) did not check the length of its sockaddr parameter. As a result, more kernel memory was copied out than required, leaking information from the kernel stack (including kernel addresses). A local user could exploit this flaw to bypass kernel ASLR or leak other information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 08:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-12-18 08:27:03 EST
An issue similar to CVE-2015-8569 was fixed in the Linux kernel. The sco_sock_bind() function (bluetooth/sco) did not check the length of the passed sockaddr, copying out more kernel memory than required, leaking information from the kernel stack, including kernel addresses. This can be used for KASLR bypass or other information leaks.

Upstream commit:

http://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=5233252fce714053f0151680933571a2da9cbfb4

CVE request and assignment:

http://seclists.org/oss-sec/2015/q4/516
Comment 1 Martin Prpič 2015-12-18 08:28:13 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1292841]
Comment 2 Fedora Update System 2016-01-12 02:59:06 EST
kernel-4.3.3-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Vladis Dronov 2016-01-26 08:49:39 EST
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 6 Fedora Update System 2016-02-01 01:23:23 EST
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.